%The PTB Diagnostic ECG Database: https://physionet.org/physiobank/database/ptbdb/
% Source: record ptbdb/patient001/s0010_re
% val has 15 rows (signals) and 10000 columns (samples/signal)
% Duration:     0:10
% Sampling frequency: 1000 Hz  Sampling interval: 0.001 sec
% Row	Signal	Gain	Base	Units
% 1	i	2000	0	mV
% 2	ii	2000	0	mV
% 3	iii	2000	0	mV
% 4	avr	2000	0	mV
% 5	avl	2000	0	mV
% 6	avf	2000	0	mV
% 7	v1	2000	0	mV
% 8	v2	2000	0	mV
% 9	v3	2000	0	mV
% 10	v4	2000	0	mV
% 11	v5	2000	0	mV
% 12	v6	2000	0	mV
% 13	vx	2000	0	mV
% 14	vy	2000	0	mV
% 15	vz	2000	0	mV
% 
% To convert from raw units to the physical units shown
% above, subtract 'base' and divide by 'gain'.
clear all
close all
clc

load('s0010_rem.mat');
dt=0.001;
t=(0:size(val,2)-1)*dt;
gain=2000;
labels1={'I','II ','III','avr','avl','avf'};
labels2={'v1','v2 ','v3','v4','v5','v6'};
    figure 
    for i=1:6
    subplot(6,1,i)
    %if i==4
    %    plot(t,-val(i,:)/gain);
    %else
    plot(t,val(i,:)/gain);
    %end
    legend(labels1{i});
    end
   
figure 
for i=7:12
   subplot(6,1,i-6)
   plot(t,val(i,:)/gain);
   legend(labels2{i-6});
end