%STAFF III Database: https://physionet.org/physiobank/database/staffiii/ 
%Dal file 041am.info:
% Source: record staffiii/data/041a  Start: [09:20:00.000 01/12/1995]
% val has 9 rows (signals) and 10000 columns (samples/signal)
% Duration:     0:10
% Sampling frequency: 1000 Hz  Sampling interval: 0.001 sec
% Row	Signal	Gain	Base	Units
% 1	 V1	1600	0	mV
% 2	 V2	1600	0	mV
% 3	 V3	1600	0	mV
% 4	 V4	1600	0	mV
% 5	 V5	1600	0	mV
% 6	 V6	1600	0	mV
% 7	 I	1600	0	mV
% 8	 II	1600	0	mV
% 9	 III	1600	0	mV
% 
% To convert from raw units to the physical units shown
% above, subtract 'base' and divide by 'gain'.

clear all
close all
clc
cal=0; %se 1 si "aggiusta la baseline"
dim=3000; %selezion0 3000 campioni, quindi circa 3 sec. 
base=0; 
gain=1600;
dt=0.001;
load('041am.mat');
V_I=(val(7,1:dim)-base)/gain;
V_II=(val(8,1:dim)-base)/gain;
V_III=(val(9,1:dim)-base)/gain;
t=(0:dim-1)*dt;

figure
plot(t,V_I);
legend('I');

if cal==1
% baseline a 0;
[X]=ginput(2);
 x1=round(X(1,1)/0.001);
 x2=round(X(2,1)/0.001);
 %valori medi baseline della tre derivazioni standard
 mI=mean(V_I(x1:x2));
 mII=mean(V_II(x1:x2));
 mIII=mean(V_III(x1:x2))
 save('CAL','mI','mII','mIII');
else
    load('CAL');
end
% compensazione della baseline (ovvero segnale non zero in totale
% depolarizzazione o ripolarizzazione)
V_I=V_I-mI;
V_II=V_II-mII;
V_III=V_III-mIII;
 
dip=figure; %handle alla figura del dipolo 
% 
figlead=figure; %handle alla figura del tracciato ECG nelle tre derivazioni 
subplot(3,1,1)
plot(t,V_I);
legend('I');
subplot(3,1,2)
plot(t,V_II);
legend('II');
subplot(3,1,3)
plot(t,V_III);
legend('III');


%calcolo le componenti

%V_I=Py;
%V_II=0.5Py-((3)^0.5/2)*Pz

Py=V_I;
Pz=(-V_II+0.5*Py)/((3^0.5)/2);

%seleziono gli istanti in cui plottare il dipolo

h=input('plot dipolo [0 uscita]?')
while (h~=0)
[X]=ginput(1);
 x1=round(X(1,1)/0.001);
 
 
% 
 py1=Py(x1);
 pz1=Pz(x1);
% 
% 
 figure(dip);
 quiver(0,0,py1,pz1); %partendo da 0,0 un vettore con copmponenti py1,pz1
 hold on
 h=input('plot dipolo?')
 figure(figlead);
end







